Users
Returns a paginated list of users
Authorization: Bearer {AuthorizationToken}
The following filters are available:
idwith comparison operatorseqcoswewuserNamewith comparison operatorseqcoswewname.familyNamewith comparison operatorseqcoswewname.givenNamewith comparison operatorseqcoswewemailwith comparison operatorseqcoswewactivewith comparison operatorseq
Multiple filters can be used with the logical operators and or
id eq "cksq4ybpq104zwgwh2gd1vvha"Index of the first query result
1Maximun numer of query results per page
500userNamePossible values: ascendingPossible values: 11500GET /sso/{organisationId}/scim/v2/Users HTTP/1.1
Host: api3.riskbase.uk/sso/{organisationId}/scim/v2
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"schemas": "urn:ietf:params:scim:api:messages:2.0:ListResponse",
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 500,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "cksq4ybpq104zwgwh2gd1vvha",
"email": [
{
"value": "ben.boyd@riskbase.uk",
"type": "work",
"primary": true
}
],
"name": {
"formatted": "Ben Boyd",
"givenName": "Ben",
"familyName": "Boyd"
},
"authenticationType": "saml",
"roles": [
{
"value": "cksq4ybpq104zwgwh2gd1vvha"
}
],
"meta": {
"resourceType": "User",
"created": "2020-04-20T12:34:44Z",
"lastModified": "2021-03-23T15:42:06Z",
"location": "https://api3.riskbase.uk/sso/{organisationId}/scim/v2/Users/cksq4ybpq104zwgwh2gd1vvha"
}
}
]
}The POST request is used to create a new user.
Authorization: Bearer {AuthorizationToken}
["urn:ietf:params:scim:schemas:core:2.0:User"]Your unique immutable ID
User should sign-in through your own IdP-initiated SAML SSO or directly into RiskBase with a passwordless account.
This cannot currently be changed once the user has been added. If you'd like to change an existing user's authenticationType, please get in touch with support@riskbase.uk
samlPossible values: falseExample: trueSee Get User. Store the response's id and use this in future requests related to this user.
No content
POST /sso/{organisationId}/scim/v2/Users HTTP/1.1
Host: api3.riskbase.uk/sso/{organisationId}/scim/v2
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 261
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "name@gmail.com",
"emails": [
{
"value": "ben.boyd@riskbase.uk",
"primary": true
}
],
"name": {
"givenName": "Ben",
"familyName": "Boyd"
},
"authenticationType": "saml",
"roles": [
{
"value": "text"
}
],
"active": true
}No content
Return a single user
Authorization: Bearer {AuthorizationToken}
GET /sso/{organisationId}/scim/v2/Users/{id} HTTP/1.1
Host: api3.riskbase.uk/sso/{organisationId}/scim/v2
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"id": "cksq4ybpq104zwgwh2gd1vvha",
"email": [
{
"value": "ben.boyd@riskbase.uk",
"type": "work",
"primary": true
}
],
"name": {
"formatted": "Ben Boyd",
"givenName": "Ben",
"familyName": "Boyd"
},
"roles": [
{
"value": "cksq4ybpq104zwgwh2gd1vvha"
}
],
"meta": {
"resourceType": "User",
"created": "2020-04-20T12:34:44Z",
"lastModified": "2021-03-23T15:42:06Z",
"location": "https://api3.riskbase.uk/sso/{organisationId}/scim/v2/Users/cksq4ybpq104zwgwh2gd1vvha"
}
}Authorization: Bearer {AuthorizationToken}
falseExample: trueSee Get User
No content
PUT /sso/{organisationId}/scim/v2/Users/{id} HTTP/1.1
Host: api3.riskbase.uk/sso/{organisationId}/scim/v2
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 203
{
"schemas": "urn:ietf:params:scim:schemas:core:2.0:User",
"emails": [
{
"value": "ben.boyd@riskbase.uk",
"primary": true
}
],
"name": {
"givenName": "Ben",
"familyName": "Boyd"
},
"roles": [
{
"value": "text"
}
],
"active": true
}No content
Authorization: Bearer {AuthorizationToken}
Complete
No content
DELETE /sso/{organisationId}/scim/v2/Users/{id} HTTP/1.1
Host: api3.riskbase.uk/sso/{organisationId}/scim/v2
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Authorization: Bearer {AuthorizationToken}
See Get User
No content
PATCH /sso/{organisationId}/scim/v2/Users/{id} HTTP/1.1
Host: api3.riskbase.uk/sso/{organisationId}/scim/v2
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 551
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"Operations": [
{
"op": "replace",
"path": "userName",
"value": "new.email@riskbase.uk"
},
{
"op": "replace",
"path": "name.givenName",
"value": "Brandon"
},
{
"op": "replace",
"path": "name",
"value": {
"familyName": "Kenney"
}
},
{
"op": "replace",
"path": "emails",
"value": [
{
"value": "brandon.kenney@riskbase.uk",
"primary": true
}
]
},
{
"op": "remove",
"path": "roles",
"value": [
{
"value": "cksq4ybpq104zwgwh2gd1vvha"
}
]
},
{
"op": "add",
"path": "roles",
"value": [
{
"value": "cd2q4d0pq104zwgwh2gd1jkha"
},
{
"value": "jw4w8gcs48s48w808kg4g0ck"
}
]
}
]
}No content
Last updated
Was this helpful?